<!--
  Generated template for the ModalPage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header>
  <ion-navbar>
      <ion-title>
        Detalle Incidente 
      </ion-title>
      <ion-buttons end >
          <button ion-button (click)="CerrarModal()">Cerrar</button> 
      </ion-buttons>
      
  </ion-navbar>
</ion-header>

<ion-content padding>
  <ion-card>
    <ion-card-header>
      Motivo:
    </ion-card-header>
    <ion-card-content>
      {{Incidente?.Motivo}}
    </ion-card-content>
  </ion-card>
  <ion-card>
    <ion-card-header>
      Causa:
    </ion-card-header>
    <ion-card-content>
      {{Incidente?.Causa}}
    </ion-card-content>
  </ion-card>
  <ion-card>
    <ion-card-header>
      Descripcion:
    </ion-card-header>
    <ion-card-content>
      {{Incidente?.Descripcion}}
    </ion-card-content>
  </ion-card>
  <ion-card>
    <ion-card-header>
      Fecha del Incidente:
    </ion-card-header>
    <ion-card-content>
      {{Incidente?.FechaIncidente}}
    </ion-card-content>
  </ion-card>
  <ion-card>
    <ion-card-header>
      Descripcion:
    </ion-card-header>
    <ion-card-content>
      {{Incidente?.Descripcion}}
    </ion-card-content>
  </ion-card>
  <ion-card>
    <ion-card-header>
      Zona:
    </ion-card-header>
    <ion-card-content>
      {{Incidente?.NombreZona}}
    </ion-card-content>
  </ion-card>
  <ion-card>
    <ion-card-header>
      Reportador:
    </ion-card-header>
    <ion-card-content>
      {{Incidente?.NombreLider}} {{Incidente?.ApellidoLider}}
    </ion-card-content>
  </ion-card>
  <ion-card>
      <ion-card-header>
        Gravedad:
      </ion-card-header>
      <ion-card-content *ngIf='Incidente?.Gravedad == 1'><ion-content class="muylevelist"></ion-content></ion-card-content>
      <ion-card-content *ngIf='Incidente?.Gravedad == 2'><ion-content class="levelist"></ion-content></ion-card-content>
      <ion-card-content *ngIf='Incidente?.Gravedad == 3'><ion-content class="mediolist"></ion-content></ion-card-content>
      <ion-card-content *ngIf='Incidente?.Gravedad == 4'><ion-content class="altolist"></ion-content></ion-card-content>
      <ion-card-content *ngIf='Incidente?.Gravedad == 5'><ion-content class="muyaltolist"></ion-content></ion-card-content>
    </ion-card>
    <ion-card>
        <ion-card-header>
          Estado Plan de Accion:
        </ion-card-header>
        <ion-card-content *ngIf='Incidente?.EstadoPlan == 1'>Abierto</ion-card-content>
        <ion-card-content *ngIf='Incidente?.EstadoPlan == 2'>En Proceso</ion-card-content>
        <ion-card-content *ngIf='Incidente?.EstadoPlan == 3'>Cerrado</ion-card-content>
      </ion-card>
</ion-content>